#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n,m,s=0;
    cin>>n>>m;
    int niz[n];
    int par[m][2];
    for(int i=0;i<n;i++)
        {
            cin>>niz[i];
        }
    for(int i=0;i<m;i++)
        {
            cin>>par[i][1]>>par[i][2];
            s+=abs(niz[par[i][1]-1]+niz[par[i][2]-1]);
        }
    cout<<s;
    return 0;
}